


<div class="emp-container">
    <div class="justify-end">
        <mat-form-field appearance="fill">
            <mat-label>Choose a date</mat-label>
            <input #datePick matInput [matDatepicker]="picker" (dateChange)="HandleDate($event)">
            <mat-hint>MM/DD/YYYY</mat-hint>
            <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>
          <div class="icon-div">
              <span class="material-icons" (click)="clearFilters()">filter_alt</span>
          </div>
    </div>
    <mat-tab-group [selectedIndex]="empService.selectedIndex" (selectedTabChange)="onTabChanged($event)" >
        <mat-tab label="Employee List">
            <mat-card>
                <table mat-table [dataSource]="dataSource" class="emp-table">
                    <ng-container *ngFor="let column of displayedColumns; let i = index" [matColumnDef]="column">
                        <th mat-header-cell *matHeaderCellDef>
                            <span> {{column}} </span>
                        </th>
                        <ng-container *ngIf="column !=='Action'">
                            <td mat-cell *matCellDef="let element" (click)="rowClick(element)">
                                {{element[column]}}
                            </td>
                        </ng-container>
                        <ng-container *ngIf="column=='Action'">
                            <td mat-cell *matCellDef="let element">
                                <div class="icons-pack">
                                    <i class="material-icons icon-size list-icon" (click)="rowClick(element)">list</i>
                                    <span class="material-icons teal-color edit-icon" (click)="edit(element)">edit</span>
                                    <span class="material-icons teal-color delete-icon" (click)="deleteEmp(element)">delete</span>
                                </div>
                            </td>
                        </ng-container>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
            </mat-card>
        </mat-tab>
        <mat-tab label="Employee Form">
            <div *ngIf="tabValue">
                <app-employee-form [tabValue]="tabValue" (tabChange)="handleTabChange($event)"></app-employee-form>
            </div>
        </mat-tab>
      </mat-tab-group>
</div>